hasName {utils} | R Documentation

## Check for name

### Description

`hasName` is a convenient way to test for one or more names in an R object.

### Usage

    hasName(x, name)

### Arguments

`x` | Any object.
`name` | One or more character values to look for.

### Details

`hasName(x, name)` is defined to be equivalent to `name %in% names(x)`, though it will evaluate slightly more quickly. It is intended to replace the common idiom `!is.null(x$name)`. The latter can be unreliable due to partial name matching; see the example below.

### Value

A logical vector of the same length as `name` containing `TRUE` if the corresponding entry is in `names(x)`.

### See Also

`%in%`, `exists`

### Examples

    x <- list(abc = 1, def = 2)
    !is.null(x$abc) # correct
    !is.null(x$a)   # this is the wrong test!
    hasName(x, "abc")
    hasName(x, "a")

[Package utils version 3.4.2 Index]